#
# spec file for package suru-plus-dark-icon-theme
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           suru-plus-dark-icon-theme
Version:        25.1
Release:        bp155.3.9
Summary:        Suru Plus Dark icon theme
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/gusbemacbe/suru-plus-dark
Source:         https://github.com/gusbemacbe/suru-plus-dark/archive/v%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  icon-naming-utils >= 0.8.7
BuildArch:      noarch

%description
A cyberpunkish, elegant, futuristic, Papirus-like icon theme.

%prep
%setup -q -n suru-plus-dark-%{version}
find -name '*.svg' -exec chmod -x {} \;

%build
make %{?_smp_mflags}

%install
%make_install
%fdupes %{buildroot}%{_datadir}/icons/Suru++-Dark

%files
%license COPYING LICENSE
%doc AUTHORS CREDITS Makefile
%{_datadir}/icons/Suru++-Dark

%changelog
* Tue Oct 26 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Remove executable bit from svg files.
* Tue Mar 19 2019 mvetter@suse.com
- Update to 25.1:
  * Added new icons:
    + Alva
    + Cronopete
    + Dockstation
    + Edex
    + elCalc
    + elementary OS
    + Figma
    + Google Web Designer
    + Optimizer
    + Listen1
    + Lyrics
    + VNote
  * Added new icons with two alternatives
  * Added new GNOME 3.32 icons
  * Added new missed symlinked icons of AppImage apps
  * Improved the color-picker.svg
  * Improved the 16px color-picker-black.svg to be legible
* Fri Mar 15 2019 mvetter@suse.com
- Update description
* Mon Feb 18 2019 mvetter@suse.com
- Initial package of suru-plus-dark icon theme 25.0 for openSUSE
